$schema: "http://json-schema.org/draft-06/schema#"

title: compute beta TargetHttpProxy export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  creationTimestamp:
    description: '[Output Only] Creation timestamp in RFC3339 text format.'
    type: string
  description:
    description: |-
      An optional description of this resource. Provide this property when you
      create the resource.
    type: string
  httpFilters:
    description: |-
      URLs to networkservices.HttpFilter resources enabled for xDS clients using
      this configuration. For example,
      https://networkservices.googleapis.com/v1alpha1/projects/project/locations/location/httpFilters/httpFilter
      Only filters that handle outbound connection and stream events
      may be specified. These filters work in conjunction with a default set of
      HTTP filters that may already be configured by Traffic Director. Traffic
      Director will determine the final location of these filters within xDS
      configuration based on the name of the HTTP filter. If Traffic Director
      positions multiple filters at the same location, those filters will be in
      the same order as specified in this list. httpFilters only applies for
      loadbalancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See
      ForwardingRule for more details.
    type: array
    items:
      type: string
  kind:
    description: |-
      [Output Only] Type of resource. Always compute#targetHttpProxy for target
      HTTP proxies.
    type: string
  name:
    description: |-
      Name of the resource. Provided by the client when the resource is created.
      The name must be 1-63 characters long, and comply with RFC1035.
      Specifically, the name must be 1-63 characters long and match the regular
      expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character
      must be a lowercase letter, and all following characters must be a dash,
      lowercase letter, or digit, except the last character, which cannot be a
      dash.
    type: string
  proxyBind:
    description: |-
      This field only applies when the loadBalancingScheme is
      INTERNAL_SELF_MANAGED. When set to true the Envoy binds on the IP address
      specified by the forwarding rule. Default is false.
    type: boolean
  region:
    description: |-
      [Output Only] URL of the region where the regional Target HTTP Proxy
      resides. This field is not applicable to global Target HTTP Proxies.
    type: string
  selfLink:
    description: '[Output Only] Server-defined URL for the resource.'
    type: string
  urlMap:
    description: |-
      URL to the UrlMap resource that defines the mapping from URL to the
      BackendService.
    type: string
